// Machine generated C++ stub file (.h) for remote object SampleService
// Created on : 03/22/2010 13:55:01


#ifndef _include_SampleService_h
#define _include_SampleService_h

#include <string>
#include <MarshallerCfg.h>
#include <Array.h>
#include <PCSC.h>
#include <Marshaller.h>

#ifdef SampleService_EXPORTS
#define SampleService_API __declspec(dllexport)
#else
#define SampleService_API
#endif

using namespace std;
using namespace Marshaller;

class SampleService_API SampleService : private SmartCardMarshaller {
public:
	// Constructors
	SampleService(string* uri);
	SampleService(string* uri, u4 index);
	SampleService(u2 portNumber, string* uri);
	SampleService(u2 portNumber, string* uri, u4 index);
	SampleService(string* readerName, string* uri);
	SampleService(string* readerName, u2 portNumber, string* uri);
	SampleService(SCARDHANDLE cardHandle, string* uri);
	SampleService(SCARDHANDLE cardHandle, u2 portNumber, string* uri);

	// Pre-defined methods
	string* GetReader(void);

	// Exposed methods
	string* SampleMethod(string* input);
};


#endif
